What's New in This Version

Windows Media Format Plug-In Help

Copyright © 2007. Sony Creative Software Inc.
All Rights Reserved
Revised July 19, 2007

You can use the Windows Media Format plug-in to import and render Windows Media Audio and Windows Media Video files.

Vegas, Vegas+DVD, DVD Architect, Vegas Movie Studio, Vegas Movie Studio+DVD, DVD Architect Studio, ACID, Music Studio, ACIDized, Super Duper Music Looper, Jam Trax, Sony Sound Series, Chopper, Groove Mapping, Groove Cloning, CD Architect, Sound Forge, Audio Studio, Cinescore, Acoustic Mirror, Noise Reduction, Wave 64, Wave Hammer, and XFX are trademarks or registered trademarks of Sony Creative Software Inc. or its affiliates in the United States and other countries. All other trademarks or registered trademarks are the property of their respective owners in the United States and other countries.

Sony Creative Software Inc. may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Sony Creative Software Inc., the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.


Audio Settings

Item

Description

Include audio

Select this check box if you want to include an audio stream in your rendered file.

Mode

Choose a setting from the drop-down list to indicate whether you want to create a constant bit rate (CBR) or a variable bit rate (VBR) file.

When you choose CBR, you choose a the desired bit rate for your encoded file. When you choose Quality VBR, you'll choose a desired quality setting, and the encoder will vary the bit rate (depending on the complexity of the encoded audio) to maintain the quality.

Format

Choose a setting from the drop-down list to choose the format that best matches the type of content in your project.

Attributes

Choose a setting from the drop-down list to specify the bit rate, sample rate, and umber of channels in your rendered file.


Bit Rate Settings

When encoding constant bit rate (CBR) video, select the check boxes to indicate the bit rates you want to encode. You can type values in the boxes to specify custom bit rates.


Index/Summary Settings

Item

Description

Index file

When encoding a video file, select this check box if you want to index your video. When indexing is enabled, users can seek through your file using the seek bar and fast forward/rewind controls.

An index is a series of values that correspond to positions in the file.

Method

Choose a setting from the drop-down list to specify whether you want to create a time-based or frame-based index:

Time-based | When you choose this method, you can enter a value in the Interval box to specify the time between index entries and choose a setting from the Type drop-down list to determine the type of object that will be used to index the file.
Frame-based | When you choose this method, you can enter a value in the Interval box to specify the frequency of index entries.

Interval (frames)

Specifies the interval between index entries.

If you selected Time-based from the Method drop-down list, enter the interval in milliseconds. If you Frame-based from the Method drop-down list button, enter the interval in frames.

Type

Choose a setting to define the type of object that will be used to index your file.

Nearest video keyframe | Index entries are associated with the nearest video keyframe in the Windows Media file.
Nearest compressed sample | Index entries are associated with the nearest compressed sample in the Windows Media file.
Nearest packet | Index entries are associated with the nearest data packet in the Windows Media file.

Title

Enter the title of your encoded file. This information can be displayed by the media player during playback.

Author

Enter the author of your encoded file. This information can be displayed by the media player during playback.

Engineer

Enter the name of the person who mixed or edited the project.

Copyright

Enter copyright information about the project.

Description

Enter a description of the project.

Rating

Enter a rating for the project.

Year

Enter a year for the project.


Video Settings

Item

Description

Mode

Choose a setting from the drop-down list to indicate whether you want to create a constant bit rate (CBR) or a variable bit rate (VBR) file.

CBR

Encodes a file with a single, constant bit rate that matches the target bit rate as closely as possible.

Use the Bit rate page to choose the desired bit rate.

Drag the Video smoothness slider at the bottom of the dialog to specify the balance between video sharpness and smoothness. High-motion video looks better with a low setting; low-motion video looks better with a high setting.

CBR (Two-pass)

Encodes a file with a single, constant bit rate. The encoder passes through the file twice to provide high-quality encoding for complex scenes.

Use the Bit rate page to choose the desired bit rate.

Drag the Video smoothness slider at the bottom of the dialog to specify the balance between video sharpness and smoothness. High-motion video looks better with a low setting; low-motion video looks better with a high setting.

Bit rate VBR (Peak)

Encodes a file with a variable bit rate to ensure high quality.

Type values in the Average bit rate, Peak bit rate, and Peak buffer size boxes at the bottom of the page to your encoding settings.

Use this setting when encoding content for delivery on CD or DVD or for streaming over the Internet.

Quality VBR

Encodes a files with a variable bit rate to ensure high quality.

Drag the Quality slider at the bottom of the page to choose the desired quality setting.

Bit rate VBR

Encodes a file with a variable bit rate to ensure high quality.

Type a value in the Average bit rate box at the bottom of the page to specify the desired average bit rate for the encoded file.

Use this setting when encoding content that will be downloaded before playback.

Format

Choose a setting from the drop-down list to choose the codec that will be used to encode your video.

Image size

Choose a setting from the drop-down list to choose the frame size of your encoded video.

If you choose Custom, you can type specific values in the Width and Height boxes.

Pixel aspect ratio

Choose a setting from the drop-down list to change the pixel aspect ratio of your project. This setting will depend on your capture/video output card.

Computers display pixels as squares, or a ratio of 1.0. Televisions display pixels as rectangles (ratios other than 1.0).

Using the incorrect setting can result in distortion or stretching. Consult your capture/video output card's manual for the proper settings.

Frame rate

Choose a setting from the drop-down list to change the frame rate of your project.

The television frame rate in the US, North and Central America, parts of South America, and Japan (NTSC) is 29.97 frames per second (fps). In many parts of the world, including Europe and much of Asia, the television standard is PAL at 25 fps. France, Russia, and most of Eastern Europe use SECAM, which is a variation on PAL and also uses 25 fps.

Seconds per keyframe

Type a value in the box to specify the interval between video keyframes. A keyframe is a frame that contains all data required to draw a frame. When encoding low-motion video, you can use a setting near 20 seconds. When encoding high-motion video, you should insert keyframes more frequently.

Decreasing the Seconds per keyframe value will increase the file size and bandwidth required to play your file.

Override default compression buffer

When encoding a constant bit rate file, you can select this check box and type a value in the box if you want to choose a compression buffer other than the template's default setting.